<?php

namespace App\Http\Controllers;

use App\Models\Desa;
use App\Models\Dusun;
use App\Http\Requests\DesaRequest;
use Illuminate\Http\Request;

class DesaController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = Desa::all();
        $numb = 1;
        return view('admin.pages.desa.data', compact('data', 'numb'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.pages.desa.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(DesaRequest $request)
    {
        $data = $request->all();
        Desa::create($data);
        return redirect()->route('desa.index')->with('success', 'Data added successfully');
    }

    /**
     * Display the specified resource.
     */
    public function show(Desa $desa)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Desa $desa)
    {
        return view('admin.pages.desa.edit', compact('desa'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(DesaRequest $desaRequest, Desa $desa)
    {
        $desa->update($desaRequest->all());
        return redirect()->route('desa.index')->with('success', 'Data updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Desa $desa)
    {
        $desa->delete();
        return redirect()->route('desa.index')->with('success', 'Data deleted successfully');
    }

    public function map()
    {
        $data = Desa::all();
        $dusun = Dusun::with('desa')->get();
        return view('admin.pages.desa.map', compact('data', 'dusun'));
    }
}
