<?php

namespace App\Http\Controllers;

use App\Http\Requests\DusunRequest;
use App\Models\Dusun;
use App\Models\Desa;
use Illuminate\Http\Request;

class DusunController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $numb = 1;
        $data = Dusun::join('desa', 'dusun.desa_id', '=', 'desa.id')
            ->select('dusun.*', 'desa.nama as nama_desa')
            ->get();
        return view('admin.pages.dusun.data', compact('data', 'numb'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $desa = Desa::all();
        return view('admin.pages.dusun.create', compact('desa'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->all();
        Dusun::create($data);
        return redirect()->route('dusun.index')->with('success', 'Data dusun berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     */
    public function show(Dusun $dusun)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Dusun $dusun)
    {
        $desa = Desa::all();
        return view('admin.pages.dusun.edit', compact('dusun','desa'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Dusun $dusun)
    {
        $data = $request->all();
        $dusun->update($data);
        return redirect()->route('dusun.index')->with('success', 'Data dusun berhasil diubah');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Dusun $dusun)
    {
        $dusun->delete();
        return redirect()->route('dusun.index')->with('success', 'Data dusun berhasil dihapus');
    }
}
