@extends('admin.layouts.layout')
@section('title', 'Data Dusun | Skripsi 2024')
@section('nav', 'Data Dusun')
@section('content')
    <div class="pagetitle">
        <nav>
            <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('dashboard') }}" class="text-decoration-none text-black">Dashboard</a></li>
            <li class="breadcrumb-item">Dusun</li>
            <li class="breadcrumb-item active">Data Dusun</li>
            </ol>
        </nav>
    </div>

    <div class="content">
        @if (Session::has('success'))
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <i class="bi bi-check-circle me-1"></i> {{ Session::get('success') }}.
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
        @endif

        <div class="container-fluid">
            <!-- Page Heading -->
            <!-- DataTales Example -->
            <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex justify-content-between align-items-center">
                    <h4 class="m-0 font-weight-bold">Data Dusun</h4>
                    <div class="d-flex">
                        <a href="{{route('dusun.create')}}" class="btn btn-primary me-2"><i class="bi bi-house-add"></i></a>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table " id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Nama</th>
                                    <th>Desa</th>
                                    <th>Aksi</th>
                                </tr>
                            </thead>

                            <tbody>
                              @foreach ($data as $item)
                                <tr>
                                    <td>{{$numb++}}</td>
                                    <td>{{$item->nama}}</td>
                                    <td>{{ $item->nama_desa }}</td>
                                    <td>
                                        <div class="btn-group" role="group" aria-label="Basic example">
                                            <a href="{{route('dusun.edit', $item->id)}}" class="btn btn-warning" data-toggle="tooltip" data-placement="top" title="Edit"><i class="bi bi-eye"></i></a>
                                            <form id="deleteForm" method="POST" action="{{ route('dusun.destroy', ['dusun' => $item]) }}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger ms-2" data-toggle="tooltip" data-placement="top" title="Delete" onclick="confirmDelete()">
                                                    <i class="bi bi-trash"></i>
                                                </button>
                                            </form>
                                        </div>
                                    </td>
                                </tr>
                              @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
