<?php

use App\Http\Controllers\EmployeesController;
use App\Http\Controllers\DesaController;
use App\Http\Controllers\DusunController;
use App\Http\Controllers\PengirimanController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SettingController;
use App\Http\Controllers\KurirController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

// Route::get('/dashboard', function () {
//     return view('admin/dashboard');
// })->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    Route::resource('/employees', EmployeesController::class);
    Route::resource('/desa', DesaController::class);
    Route::resource('/dusun', DusunController::class);
    Route::resource('/pengiriman', PengirimanController::class);
    Route::resource('/setting', SettingController::class);
    Route::resource('/kurir', KurirController::class);
    Route::get('/maps', [DesaController::class, 'map'])->name('desa.map');
    Route::get('/pengiriman/{kode}/edit', 'PengirimanController@edit')->name('pengiriman.edit');
    Route::delete('/pengiriman/{kode}', 'PengirimanController@destroy')->name('pengiriman.destroy');

    Route::post('/testing', [PengirimanController::class, 'dusun'])->name('dusun');

    Route::get('dashboard', 'App\Http\Controllers\DashboardController@index')->name('dashboard');
});




require __DIR__.'/auth.php';
